<bugID>890269<Summary>Frontend should be able to handle duplicate scripts</Summary><Description>In chrome debugging a script can be loaded in more than one compartment, appearing as separate scripts. For instance when using the browser debugger I got 2 instances of promises.js:

{
  "actor": "conn1.source158",
  "url": "resource://gre/modules/commonjs/sdk/core/promise.js",
  "isBlackBoxed": false
},
{
  "actor": "conn1.source258",
  "url": "resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/core/promise.js",
  "isBlackBoxed": false
}

The server is correctly sending both scripts, but the client only displays one due to the unique constraint enforced by the script list widget. The problem is that even though the content of both scripts is the same, the stack frames we get can be from either URL, so that pausing in that script may fail to highlight the right source and line, depending on which script made it into the script list widget and which URL the frame is from.

We should use the relaxed flag on the SideMenuWidget and see if any more fixes are needed in getSourceGroup and getSourceLabel.</Description></bugID>